org.apache.jmeter.protocol.jdbc.config

## Class DataSourceElementBeanInfo

- java.lang.Object
- - java.beans.SimpleBeanInfo
  - - org.apache.jmeter.testbeans.BeanInfoSupport
    - - org.apache.jmeter.protocol.jdbc.config.DataSourceElementBeanInfo

- All Implemented Interfaces:
    java.beans.BeanInfo

      public class DataSourceElementBeanInfo
      extends BeanInfoSupport

- - ### Field Summary

    - ### Fields inherited from class org.apache.jmeter.testbeans.BeanInfoSupport

      `DEFAULT, DEFAULT_NOT_SAVED, MULTILINE, NOT_EXPRESSION, NOT_OTHER, NOT_UNDEFINED, RESOURCE_BUNDLE, TAGS, TEXT_LANGUAGE`

    - ### Fields inherited from interface java.beans.BeanInfo

      `ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataSourceElementBeanInfo()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getTransactionIsolationMode(java.lang.String tag)` Converts a string description of a valid transaction isolation mode to the respective integer value.

    - ### Methods inherited from class org.apache.jmeter.testbeans.BeanInfoSupport

      `createPropertyGroup, getAdditionalBeanInfo, getBeanDescriptor, getDefaultEventIndex, getDefaultPropertyIndex, getEventSetDescriptors, getIcon, getMethodDescriptors, getPropertyDescriptors, property, property, property, setIcon`

    - ### Methods inherited from class java.beans.SimpleBeanInfo

      `loadImage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataSourceElementBeanInfo

          public DataSourceElementBeanInfo()

  - ### Method Detail

    - #### getTransactionIsolationMode

          public static int getTransactionIsolationMode(java.lang.String tag)

      Converts a string description of a valid transaction isolation mode to the respective integer value. Currently supported tags and their values are:
      DEFAULT
        -1
      TRANSACTION_NONE
        0
      TRANSACTION_READ_COMMITTED
        2
      TRANSACTION_READ_UNCOMMITTED
        1
      TRANSACTION_REPEATABLE_READ
        4
      TRANSACTION_SERIALIZABLE
        8
      Parameters:
        `tag` - name of the transaction isolation mode
      Returns:
        integer value of the given transaction isolation mode

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.